
function isValidCode(strCode)
{
   var i, cChar
   var strValidID = "0123456789-.";
   for (i = 0; i < strCode.length; i ++ )
   {
      cChar = strCode.charAt(i);
      if(strValidID.indexOf(cChar) == - 1) return false;
   }
   return true;
}
function SkyExamSort1()
{
   var info, s, ad;
   ad = "〖学校教务管理系统提示您！〗\n\n";
   info = ad + "您确实要增加信息吗?";
   s = document.getElementById("TxtTerm1")
   if(s.value == "")
   {
      window.alert(ad + "题库名称不能为空！");
      s.focus();
      return false;
   }
   s = document.getElementById("TxtShowID1")
   if(s.value == "" || ! isValidCode(s.value))
   {
      window.alert(ad + "题库显示顺序不能为空,并且必须是数字！");
      s.focus();
      return false;
   }
   if(confirm(info))
   {
      return true;
   }
   else
   {
      return false;
   }
}
function SkyExamSort2()
{
   var info, s, ad;
   ad = "〖学校教务管理系统提示您！〗\n\n";
   info = ad + "您确实要修改信息吗？";
   s = document.getElementById("TxtTerm2")
   if(s.value == "")
   {
      window.alert(ad + "题库名称不能为空！");
      s.focus();
      return false;
   }
   s = document.getElementById("TxtShowID2")
   if(s.value == "" || ! isValidCode(s.value))
   {
      window.alert(ad + "题库显示顺序不能为空,并且必须是数字！");
      s.focus();
      return false;
   }
   if(confirm(info))
   {
      return true;
   }
   else
   {
      return false;
   }
}
